Bug 244998 - mail/vacation: Remove BROKEN, Update to 3.3.3
Summary: mail/vacation: Remove BROKEN, Update to 3.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-23 03:18 UTC by Cy Schubert
Modified: 2020-03-25 02:17 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
Make mail/vacation fetchable again, update to 3.3.3, take ownership (5.51 KB, patch)
2020-03-23 03:18 UTC, Cy Schubert
no flags Details | Diff
Make mail/vacation fetchable again, update to 3.3.3, take ownership (1.19 KB, patch)
2020-03-23 03:24 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2020-03-23 03:18:42 UTC
Created attachment 212635 [details]
Make mail/vacation fetchable again, update to 3.3.3, take ownership

This patch,

- unbreaks the mail/vacation by making it fetchable again.
- update to 3.3.3.
- I assume ownership.
Comment 1 Bugzilla Automation freebsd_committer 2020-03-23 03:18:42 UTC
Maintainer informed via mail
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-23 03:22:24 UTC
^Triage: Reporter is committer, assign accordingly

@Cy attachment doesn't look like a patch, can you update please
Comment 3 Cy Schubert freebsd_committer 2020-03-23 03:24:32 UTC
Created attachment 212636 [details]
Make mail/vacation fetchable again, update to 3.3.3, take ownership

Note to self: upload git diff output, not git log output.
Comment 4 Cy Schubert freebsd_committer 2020-03-23 03:27:35 UTC
BZ rejected maintainers email address. Sent a private email to verify email address still exists.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-23 03:52:24 UTC
@Maintainer, could you please update your bugzilla email address to match this ports MAINTAINER line please, or approve (or not) the forthcoming patch to change maintainer

Thanks!
Comment 6 Adam McDougall 2020-03-24 14:18:54 UTC
I can't tell where mcdouga9@cartman.egr.msu.edu came from but mcdouga9@egr.msu.edu works. I approve of this change and will reply to the email I received at mcdouga9@egr.msu.edu as confirmation. (I've changed my bugzilla associated email address to ebay@looksharp.net in 2018). Thanks.
Comment 7 Cy Schubert freebsd_committer 2020-03-24 16:50:30 UTC
koobs@: do we want MFH? I'm thinking no as we're so close to the end of the quarter already. What's your opinion?
Comment 8 commit-hook freebsd_committer 2020-03-24 17:27:43 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 24 17:26:52 UTC 2020
New revision: 529056
URL: https://svnweb.freebsd.org/changeset/ports/529056

Log:
  Unbreak by making fetchable again. This necessitates updating from
  3.3.0 to 3.3.3 in order to make fetchable again.

  Assume maintainership.

  PR:		244998
  Submitted by:	cy
  Reported by:	cy
  Approved by:	maintainer (Adam McDougall <mcdouga9 at egr.msu.edu>)
  MFH:		2020Q1

Changes:
  head/mail/vacation/Makefile
  head/mail/vacation/distinfo
Comment 9 commit-hook freebsd_committer 2020-03-24 19:53:57 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 24 19:53:22 UTC 2020
New revision: 529062
URL: https://svnweb.freebsd.org/changeset/ports/529062

Log:
  MFH: r529056

  Unbreak by making fetchable again. This necessitates updating from
  3.3.0 to 3.3.3 in order to make fetchable again.

  Assume maintainership.

  PR:		244998
  Submitted by:	cy
  Reported by:	cy
  Approved by:	maintainer (Adam McDougall <mcdouga9 at egr.msu.edu>)
  Approved by:	portmgr (joneum)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/mail/vacation/Makefile
  branches/2020Q1/mail/vacation/distinfo
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-25 02:16:52 UTC
(In reply to Cy Schubert from comment #7)

Thanks for asking. It's good to get ourselves (and therefore others) into a better habit of not using 'time to next quarterly' as a reason not to merge. If more merges lead to frustrations around ease of merging or issues around that, we should solve those problems. I encourage everyone to merge appropriate commits unless there is a compelling reason not to (as in, the change is not appropriate to quarterly, such as purely feature only updates)
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-25 02:17:34 UTC
^Triage: Track merge and update metadata to reflect final state